Moxie Browser Support

Moxie Browser Support for current application version

The Moxie Suite of applications includes multiple interfaces with stated browsers supported:

  • Administration Applications for Concierge, Knowledge and Channels
  • Concierge and Channels Visitor Clients
  • Knowledge Portal Client
  • Channels Agent Client

To ensure the security of our customers and adhere to industry best practices, Moxie is updating its services to require TLS 1.2 for all HTTPS connections. 

Unless otherwise specified, all versions assume the latest browser and operating system.

 

Supported Browsers for the Concierge Visitor Client, Channels Chat Client and Knowledge Portal Client

Operating System Browser
Microsoft Windows
  • Microsoft Internet Explorer 11
  • Microsoft Edge
  • Google Chrome
  • Mozilla Firefox
Apple MacOS
  • Google Chrome
  • Mozilla Firefox
  • Apple Safari
Apple iOS
  • Apple Safari on iOS 10 and iOS 11
Google Android
  • Google Chrome on Android 5.x, 6.x, 7.x and 8.x

Important Note: Many native mobile applications make use of integrated in-app browsers (IIABs) that render web content within a custom browser view instead of in the default browser on the respective mobile operating system. While we make every effort to verify that the Concierge Visitor Client functions within major app IIABs, we cannot guarantee that the visitor client will function in all in-app browsers because the app developers have discrete control over what functionality is allowed within their own IIAB and could conceivably deviate from W3 standards and block critical functionality. As such, Moxie can only provide limited technical support in these mediums.

Supported Browsers for Administration Application and Agent Client

Operating Systems Concierge and Knowledge Browsers Channels Agent Client Browsers
Microsoft Windows
  • Microsoft Internet Explorer 11
  • Microsoft Edge
  • Google Chrome
  • Mozilla Firefox
  • Microsoft Internet Explorer 11
Apple MacOS
  • Google Chrome
  • Mozilla Firefox
  • Apple Safari
  • Apple MacOS is not supported